#!/bin/sh

cd "$(dirname "$0")"

#var=$(pwd)
#echo "The current working directory $var."

./dfu_programmer at32uc3b1256 setfuse bootprot 3
echo "Erasing..."
./dfu_programmer at32uc3b1256 erase
echo "Changing card firmware for 200e USB-MIDI..."
./dfu_programmer at32uc3b1256 flash --suppress-bootloader-mem --suppress-validation ./225m.hex
./dfu_programmer at32uc3b1256 flash-user --suppress-bootloader-mem TWI_EEPROM_UserMem.hex
echo "Restarting card with new firmware..."
./dfu_programmer at32uc3b1256 start
 